Subject: bug#45117: 28.0.50; process-send-string mysteriously exiting non-locally when called from timer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Dec 2020 16:40:18 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 11 Dec 2020 09:31:41 -0500
> 
> > If currently process-send-string isn't protected against
> > while-no-input, then perhaps we should add such a protection?
> 
> Not just "perhaps" but "definitely".  This said, I believe it already is
> "protected" so there's nothing we need to do (at least until we get
> a bug report showing I'm wrong).

I thought this bug report was showing just that, doesn't it?